require 'thermostat'
require 'json'

# The JSONThermostat class will take in a JSON format and start the heating or cooling.
# It'll also return the result in a JSON format.
class JSONThermostat
  attr_reader :settings

  def initialize(settings)
    @settings = JSON.parse(settings)
  end

  # The update method will parse the @param [temperature] to a JSON format.
  def update(temperature)
    thermostat = Thermostat.new
    thermostat.setTemperature(JSON.parse(temperature)['temperature'])
  end
end
